.lead-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.7);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 99999;
}

/* Enable blur ONLY on desktop */
@media (min-width: 768px) {
  .lead-overlay {
    backdrop-filter: blur(4px);
  }
}

.lead-box {
  background: linear-gradient(135deg, #0f0f0f, #1a1a1a);
  border: 1px solid rgba(255,255,255,0.08);
  width: 95%;
  max-width: 420px;
  padding: 32px 26px;
  border-radius: 14px;
  text-align: center;
  color: #fff;
  position: relative;
  animation: popupFade 0.3s ease;
  box-shadow: 0 0 30px rgba(0,153,255,0.25);
}

@keyframes popupFade {
  from { opacity: 0; transform: translateY(-15px); }
  to   { opacity: 1; transform: translateY(0); }
}

.lead-box h2 {
  font-size: 22px;
  margin-bottom: 8px;
  background: linear-gradient(90deg,#00c6ff,#ff4d6d);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.lead-box p {
  font-size: 14px;
  color: #ccc;
  margin-bottom: 18px;
}

.lead-box input {
  width: 100%;
  padding: 12px;
  margin-bottom: 12px;
  border-radius: 6px;
  border: 1px solid #333;
  background: #111;
  color: #fff;
  font-size: 14px;
}

.lead-box input:focus {
  border-color: #00c6ff;
  outline: none;
}

.lead-box button {
  width: 100%;
  padding: 12px;
  border-radius: 6px;
  border: none;
  background: linear-gradient(90deg,#00c6ff,#ff4d6d);
  color: #fff;
  font-weight: 600;
  cursor: pointer;
}

.lead-close {
  position: absolute;
  top: 12px;
  right: 14px;

  width: 36px;
  height: 36px;

  display: flex;
  align-items: end;
  justify-content: end;

  background: transparent !important;
  background-image: none !important;
  box-shadow: none !important;

  border: none;
  padding: 0;
  margin: 0;

  font-size: 26px;
  font-weight: 400;
  line-height: 1;

  color: #fff;
  cursor: pointer;

  z-index: 10;
}

.lead-box button[type="submit"] {
  width: 100%;
  padding: 12px;
  border-radius: 6px;
  border: none;
  background: linear-gradient(90deg,#00c6ff,#ff4d6d);
  color: #fff;
  font-weight: 600;
  cursor: pointer;
}


.lead-success {
  display: none;
  margin-top: 10px;
  color: #00ff9d;
  font-size: 14px;
}
